<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Author: Olaf Herfurth / TerraProject  http://www.tecmu.de
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref('radmincontent')) {
    mxErrorScreen('Access Denied');
    die();
}

global $module_name, $prefix;


mxGetLangfile($module_name);

//include_once(PMX_MODULES_DIR . DS . $module_name . DS . "includes" . DS . "functions.php");

if (!isset($act)) $act="";

switch ($act)
{
	case "activate":
		mxSetModuleActive($module_name,1);
	break;
}

mod_main();

function mod_main()
{
    global  $module_name;

	$conf = load_class('Book', $module_name);

    $info =  $module_name;

    switch (pmxAdminForm::CheckButton()) {
        case "save":
		case "accept":
            $root['text1'] = "";
            $root['title'] = "";
            $text = array();
            $title = array();
            foreach ($_POST["text"] as $key => $value) {
                $text[$key] = ($value);
            }
            foreach ($_POST["title"] as $key => $value) {
				$title[$key] = mxAddSlashesForSQL($value);
            }
			$root['text1'] = addslashes(serialize($text));
			$root['title'] = addslashes(serialize($title));

			$config2 = $_POST['config'];
			foreach($config2 as $key=>$value) {
				$config3[$key]=intval($value);
			}
            $root['config'] = serialize($config3);
            $conf->setRootRecord($root);
			mxRedirect("admin.php?op=$module_name", _CHANGESAREOK, 1);
            break;
        default:
            break;
    }
	$error = (!mxModuleActive($module_name))?"<div class=\"error\">" . _MODULENOTACTIVE . " <a href=\"admin.php?op=".$module_name."&amp;act=activate\" class=\"button\" >"._ACTIVATE."</a></div>":"";

    $tb = load_class('AdminForm', "impress");
    $tb->__set('target_url', "admin.php?op=" . $module_name . "");
    $tb->__set("tb_text", "");
    $tb->__set("tb_direction", 'right');
    $tb->__set("infobutton", false);
    $tb->__set("tb_pic_heigth", 25);
    $tb->__set("csstoolbar", "toolbar1");
    $tb->__set('buttontext', false);
    $tb->__set('homelink', false);
    $tb->__set('fieldhomebutton', true);
    $tb->addToolbar("save");

    $tb->addFieldset("language", _SETTINGS ,_CONTENT, false);//_IMPR_CONF_INTRO_TEXT

    $tabsscript = '<script type="text/javascript">/* <![CDATA[ */
          $(document).ready(function()
            {
                $(\'ul.tabs-nav\').each(function(){

                // Fuer jeden Satz Tabs wollen wir verfolgen welcher
                // Tab aktiv ist und der ihm zugeordnete Inhalt
                var $active, $content, $links = $(this).find(\'a\');

                // Der erste Link ist der zu Anfang akitve Tab
                $active = $links.first().addClass(\'active\');
                $content = $($active.attr(\'href\'));

                // Verstecke den restlichen Inhalt
                $links.not(\':first\').each(function () {
                    $($(this).attr(\'href\')).hide();
                });

                // Binde den click event handler ein
                $(this).on(\'click\', \'a\', function(e){

                    // Mache den alten Tab inaktiv
                    $active.removeClass(\'active\');
                    $content.hide();

                    // Aktualisiere die Variablen mit dem neuen Link und Inhalt
                    $active = $(this);
                    $content = $($(this).attr(\'href\'));

                    // Setze den Tab aktiv
                    $active.addClass(\'active\');
                    $content.show();

                    // Verhindere die Anker standard click Aktion
                    e.preventDefault();
                });
            });
         });
        /* ]]> */</script>';

    $langlist = mxGetAvailableLanguages(true);
	$langlist_akt =pmxBase::language_avalaible();

	$frecord=function () {
			global $module_name;
			$langlist = mxGetAvailableLanguages(true);
			$temp=array();
			$a=array();
			$config=array();
			$config['rightblocks']=1;
			$config['plugins']=0;
			$config['changecontent']=0;

			foreach($langlist as $caption => $language) {
				$a[$language]="";
				$b[$language]=$module_name;
			}

			$temp['title']=serialize($b);
			$temp['text1']=serialize($a);
			$temp['config']=serialize($config);
			unset($a,$b);
			return $temp;
		};
	$drecord=$frecord();
	$default=unserialize($drecord['config']);

    $root = $conf->getRootRecord();

	/* check first time */
	if (!array_key_exists('date_created',$root)) $root['date_created']=0;
	if  ($root['date_created']==0) {
		/* first start */
		$root=$drecord;
		$root['date_created']=time();
		$conf->setRootRecord($root);
	}

	$root   = array_merge($drecord,$root);

	//$config=unserialize($root['config']);
	if (!trim($root['config'])==""){
			$config=unserialize($root['config']);
	} else {
		$config=$default;
	}
	$config = array_merge($default,$config);
	$root   = array_merge($drecord,$root);
    $text1 = array();
	if (!trim($root['text1'])=="") {
	    $text1 = unserialize($root['text1']);
	}
	$titel=array();
	if (!trim($root['title'])=="") {
		$titel = ($root['title']==$module_name)?unserialize($drecord['title']):unserialize($root['title']);
	}

    /* tabs generieren */
    $tb->add("language", "html", "<ul class='tabs-nav' >");
    foreach ((array)$langlist as $caption => $value) {
		if (in_array($value,$langlist_akt)) {
			$img = mxCreateImage("images/language/flag-" . $value . ".png");
			$tb->add("language", "html", "<li class='tabs-nav'><a href='#tab-" . $value . "' class='item'>" . $img . " " . $caption . "</a></li>");
		}
    }
    $tb->add("language", "html", "</ul>");
    $tb->add("language", "html", "<div class='tabs-panel' >");
    $tb->add("language", "html", "<div>");
    foreach ((array)$langlist as $caption => $value) {
		if (in_array($value,$langlist_akt)) {
			$text = (array_key_exists($value,$text1))?$text1[$value]:"";
			$text = stripslashes($text);
			$text = "".$text."";
			$title = (array_key_exists($value,$titel))?stripslashes($titel[$value]):$module_name;
			$tb->add("language", "html", "<div id='tab-" . $value . "'>");
			$tb->add("language", "output", "<h4>" . $caption . "</h4>");
			$tb->add("language", "input", "title[" . $value . "]", $title, _TITLE, "");
			$tb->add("language", "editor", "text[" . $value . "]", $text, "", "", 400);
			$tb->add("language", "html", "</div><div class=\"clear\"></div>");
		}
    }
    $tb->add("language", "html", "</div>");
    $tb->add("language", "html", "</div>");
    $tb->add("language", "html", $tabsscript);

    $tb->add("language", "yesno","config[rightblocks]",$config['rightblocks'], _MOD_RIGHTBLOCKS,"");
    $tb->add("language", "yesno","config[plugins]",$config['plugins'], _MOD_PLUGINS,"");
    $tb->add("language", "yesno","config[changecontent]",$config['changecontent'], _MOD_CHANGECONTENT,"");


    /* formular abrufen */
    $form = $tb->Show();
    /*
     * Template
     */
    // Template initialisieren
    $template = load_class('Template');
    $template->init_path(__FILE__);

    /* hier die Ausgabefelder angeben */

    /* Variablen an das Template uebergeben */
    $template->assign(compact('form', 'info', 'module_name','error'));

    mxIncludeHeader();
    /* Template ausgeben (echo) */
    $template->display('admin.config.html');

    mxIncludeFooter();
}


?>
